Bug 257201 - Kexec tools is outdated and doesn't work at cell machines
Kexec tools is outdated and doesn't work at cell machines
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
8
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
: HardwareEnablement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 13:25 EDT by Frederico Recsky
Modified: 2008-11-26 12:36 EST (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederico Recsky 2007-08-27 13:25:49 EDT
Description of problem:

The kexec-tools doesn't kexec a crash-dump kernel in Cell/B.E. Machines.
(Including IBM Blades and PS3).


Version-Release number of selected component (if applicable):

kexec-tools-1.10.1-71.fc7


How reproducible:

Every time

Steps to Reproduce:

Just use kexec -p with kdump kernel and it will stop at Sendind IPI ...

Actual results:

Stop at Sending IPI...

Expected results:

Boot the second kernel 

Additional info:

The code to boot in last ppc64 and cell machines must be the testing from
20070330, available at: 

http://www.kernel.org/pub/linux/kernel/people/horms/kexec-tools/kexec-tools-testing-20070330.tar.bz2

The Package must be re based. I can do the spec file for it if is required.
Comment 1 Neil Horman 2007-08-27 14:48:06 EDT
I can start looking at this in a few days, but If you would like to modify the
current kexec-tools spec file to handle horms version, I certainly wont turn
down the help.  Thanks!
Comment 2 Neil Horman 2007-08-27 15:49:09 EDT
I had a few moments so I made a rough pass at the new version.  You can find the
rpms here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=132708


Please test and verify they provide the functionality you need (testing on
non-ppc architectures to confirm validity would be appreciated, as well as
testing within the initscript framework, to avoid regressions).  Please let me
know the results as soon as you are able.

Thanks!
Comment 3 Neil Horman 2007-08-27 21:11:43 EDT
Just noted that the ppc64 build in koji died with the follwoing Errors:
http://koji.fedoraproject.org/koji/getfile?taskID=132710&name=build.log
I'm looking at the assembly in v2wrap.S and it all looks correct according to
the refernces I found, yet gcc is still complaining about the need for a comma
where the @ shoud be.  Is this a compiler error, or am I missing something.
Comment 4 Neil Horman 2007-08-28 15:04:02 EDT
Nm, found the problem.  Old spec file hack to fix some problem in the prior
version. New rpms available here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=134990
Comment 5 Frederico Recsky 2007-08-29 14:31:22 EDT
The package ppc64 works fine at cell machines now. I tested and generated two
dumps. I didn't test at x86 machines, I'm searching a fedora 7/8 here to test at
x86.

Thanks
Comment 6 Neil Horman 2007-08-29 14:47:11 EDT
Ok, let me know when you have a confirmed dump on x86 machines, and I'll clean
up the spec file and check it in.  Thanks!
Comment 7 Frederico Recsky 2007-08-29 16:26:58 EDT
Ok, test done with x86. Works well also. 
Comment 8 Neil Horman 2007-08-30 13:15:59 EDT
ok, commited to kexec-tools-1.102pre-1.fc8.  Thanks!
Comment 9 Bug Zapper 2008-11-26 02:43:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jon Stanley 2008-11-26 12:36:36 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.